#version 330

precision highp float;

uniform sampler2D fullScreenTexture;
uniform float alphaFaktor;
uniform float blackRender;

in vec2 TXcoord;

out vec4 Color;

void main(void)
{
	if(blackRender != 1.0)
		Color = texture(fullScreenTexture, TXcoord);
	else
		Color = vec4(0.0,0.0,0.0,1.0);

	Color.a *= alphaFaktor;
}